#include "main.h"
#include "common.h"
#include "image.h"


void sat(image_t* out, const image_t *in, uint8_t thresold) 
{
  int i;
  for(i=0; i<in->w*in->h; i++)
  {
    //float aa = 0.299*a[i*3]+ 0.587*a[i*3+1]+ 0.114 *a[i*3+2];
    float aa = IMG_GET_Mi(in,i);
    float dab=aa/3;
    IMG_SET_Mi(out, i, (dab<thresold)?0:0xFF);
  }
}

/*
void sat2(image_t* out, const image_t* a, const image_t* b)
{
  int i;
  for(i=0; i<w*h; i++)
  {
    float aa = 0.299*a[i*3]+ 0.587*a[i*3+1]+ 0.114 *a[i*3+2];
    float ab = 0.299*b[i*3]+ 0.587*b[i*3+1]+ 0.114 *b[i*3+2];
    float dab=((aa>ab)?(aa-ab):(ab-aa))/3;
    s[i*3]=s[i*3+1]=s[i*3+2]=(dab<20)?0:0xFF;
  }
}



void diff(image_t* out, const image_t* a, const image_t* b)
{
  int i;
  for(i=0; i<w*h*3; i++)
  {
    s[i]=b[i]-a[i]<0?0:b[i]-a[i];
  }
}


void diffg(image_t* out, const image_t* a, const image_t* b)
{
  int i;
  for(i=0; i<w*h; i++)
  {
    float aa = 0.299*a[i*3]+ 0.587*a[i*3+1]+ 0.114 *a[i*3+2];
    float ab = 0.299*b[i*3]+ 0.587*b[i*3+1]+ 0.114 *b[i*3+2];
    float dab=((aa>ab)?(aa-ab):(ab-aa))/3;
    s[i*3]=s[i*3+1]=s[i*3+2]=dab;
  }
}

void moy(image_t* out, const image_t* a, const image_t* b)
{
  int i;
  for(i=0; i<w*h*3; i++)
  {
    s[i]=(b[i]+a[i])>>1;
  }
}
*/
